Loading...
Searching...
No Matches
_PurpleBlistNode Struct Reference

A Buddy list node. More...

`#include <blist.h>`

## Data Fields

PurpleBlistNodeType | type
| The type of node this is
PurpleBlistNode * | prev
| The sibling before this buddy.
PurpleBlistNode * | next
| The sibling after this buddy.
PurpleBlistNode * | parent
| The parent of this node
PurpleBlistNode * | child
| The child of this node
GHashTable * | settings
| per-node settings
void * | ui_data
| The UI can put data here.
PurpleBlistNodeFlags | flags
| The buddy flags

## Detailed Description

A Buddy list node.

This can represent a group, a buddy, or anything else. This is a base class for PurpleBuddy, PurpleContact, PurpleGroup, and for anything else that wants to put itself in the buddy list.

Definition at line 126 of file blist.h.

## Field Documentation

## child

PurpleBlistNode* _PurpleBlistNode::child

The child of this node

Definition at line 131 of file blist.h.

## flags

PurpleBlistNodeFlags _PurpleBlistNode::flags

The buddy flags

Definition at line 134 of file blist.h.

## next

PurpleBlistNode* _PurpleBlistNode::next

The sibling after this buddy.

Definition at line 129 of file blist.h.

## parent

PurpleBlistNode* _PurpleBlistNode::parent

The parent of this node

Definition at line 130 of file blist.h.

## prev

PurpleBlistNode* _PurpleBlistNode::prev

The sibling before this buddy.

Definition at line 128 of file blist.h.

## settings

GHashTable* _PurpleBlistNode::settings

per-node settings

Definition at line 132 of file blist.h.

## type

PurpleBlistNodeType _PurpleBlistNode::type

The type of node this is

Definition at line 127 of file blist.h.

## ui_data

void* _PurpleBlistNode::ui_data

The UI can put data here.

Definition at line 133 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h